#
#
# qmake configuration for hpuxi-acc-32
#
# We define _POSIX_C_SOURCE to 199506L when using threads, therefore
# we also need to redefine _HPUX_SOURCE.
# From pthread(3t):
# 	Some documentation will recommend the use of -D_REENTRANT for
# 	compilation.  While this also functions properly, it is considered
# 	an obsolescent form.
# See pthread(3t) for more details.
#
# From the "HP aC++ Online Programmer's Guide":
# 	When +DA2.0W is specified:
# 	* 64-bit SVR4 Executable and Linking Format (ELF) object files
# 	  are generated for PA-RISC 2.0. 
# 	* The preprocessor predefined macro, __LP64__ is defined. 
# 	* The correct path for 64-bit system and language libraries is
# 	  selected.
# 	When +DD32 is specified:
# 	* The size of an int, long, or pointer data type is 32-bits. 
# 	  The size of an int data type is 32-bits. The size of a long or
# 	  pointer data type is 64-bits.
# 	* This is the default, currently equivalent to +DA1.1 architecture.
# 	When +DD64 is specified:
# 	* The size of an int data type is 32-bits. The size of a long or
# 	  pointer data type is 64-bits.
# 	* This is currently equivalent to +DA2.OW architecture.
# 	* The preprocessor predefined macro, __LP64__ is defined.
# 	Using +DS to Specify Instruction Scheduling:
# 	* By default, the compiler performs scheduling tuned for the system
# 	  on which you are compiling, or, if specified, tuned for the setting
# 	  of the +DA option.
#
# From the online "C/HP-UX Reference Manual":
#	-Aa
# 	  Enables strict ANSI C compliance.
# 	-Ae
# 	  Enables ANSI C compliance, HP value-added features (as described
# 	  for +e option), and _HPUX_SOURCE name space macro. It is equivalent
# 	  to -Aa +e -D_HPUX_SOURCE.
# 	+e
# 	  Enables the following HP value added features while compiling in
# 	  ANSI C mode: sized enum, long long, long pointers, compiler supplied
# 	  defaults for missing arguments to intrinsic calls, and $ in identifier
# 	  HP C extensions.
#

MAKEFILE_GENERATOR	= UNIX
TEMPLATE		= app
CONFIG			+= qt warn_on release plugin_no_soname

TQMAKE_CC		= cc
TQMAKE_LEX		= lex
TQMAKE_LEXFLAGS		= 
TQMAKE_YACC		= yacc
TQMAKE_YACCFLAGS		= -d
TQMAKE_CFLAGS		= +DD32 +DSitanium -w
TQMAKE_CFLAGS_WARN_ON	=
TQMAKE_CFLAGS_WARN_OFF	= -w
TQMAKE_CFLAGS_RELEASE	= +O2 +Osize
TQMAKE_CFLAGS_DEBUG	= -g
TQMAKE_CFLAGS_SHLIB	= +Z
TQMAKE_CFLAGS_YACC	=
TQMAKE_CFLAGS_THREAD	= -D_POSIX_C_SOURCE=199506L -D_HPUX_SOURCE

TQMAKE_CXX		= aCC
TQMAKE_CXXFLAGS		= +DD32 +DSitanium -w -D__STRICT_ANSI__ -D_HPUX_SOURCE
TQMAKE_CXXFLAGS_DEPS	= +M
TQMAKE_CXXFLAGS_WARN_ON	= $$TQMAKE_CFLAGS_WARN_ON
TQMAKE_CXXFLAGS_WARN_OFF	= $$TQMAKE_CFLAGS_WARN_OFF
TQMAKE_CXXFLAGS_RELEASE	= $$TQMAKE_CFLAGS_RELEASE
TQMAKE_CXXFLAGS_DEBUG	= $$TQMAKE_CFLAGS_DEBUG
TQMAKE_CXXFLAGS_SHLIB	= $$TQMAKE_CFLAGS_SHLIB
TQMAKE_CXXFLAGS_YACC	= $$TQMAKE_CFLAGS_YACC
TQMAKE_CXXFLAGS_THREAD	= $$TQMAKE_CFLAGS_THREAD

TQMAKE_INCDIR		=
TQMAKE_LIBDIR		=
TQMAKE_INCDIR_X11	= /usr/include/X11R6
TQMAKE_LIBDIR_X11	= /usr/lib/hpux32/X11R6
TQMAKE_INCDIR_QT		= $(TQTDIR)/include
TQMAKE_LIBDIR_QT		= $(TQTDIR)/lib
TQMAKE_INCDIR_OPENGL	= /opt/graphics/OpenGL/include /usr/contrib/X11R6/include
TQMAKE_LIBDIR_OPENGL	= /opt/graphics/OpenGL/lib/hpux32 /usr/contrib/X11R6/lib/hpux32

TQMAKE_LINK		= aCC
TQMAKE_LINK_SHLIB	= aCC
TQMAKE_LFLAGS		= +DD32 +DSitanium -Wl,+s
TQMAKE_LFLAGS_RELEASE	= +O2
TQMAKE_LFLAGS_DEBUG	= -g
TQMAKE_LFLAGS_SHLIB	= -b -Wl,-a,shared
TQMAKE_LFLAGS_PLUGIN	= $$TQMAKE_LFLAGS_SHLIB
TQMAKE_LFLAGS_SONAME	= -Wl,+h,
TQMAKE_LFLAGS_THREAD	=
TQMAKE_RPATH		= 

TQMAKE_LIBS		= -lm
TQMAKE_LIBS_DYNLOAD	= -ldl
TQMAKE_LIBS_X11		= -lXext -lX11
TQMAKE_LIBS_X11SM	= -lSM -lICE
TQMAKE_LIBS_QT		= -lqt
TQMAKE_LIBS_TQT_THREAD	= -lqt-mt
TQMAKE_LIBS_OPENGL	= -lGLU -lGL -lXmu -lXt
TQMAKE_LIBS_OPENGL_QT	= -lGL -lXmu -lXt
TQMAKE_LIBS_THREAD	= -lpthread
TQMAKE_LIBS_YACC		= -ly

TQMAKE_TQMOC		= $(TQTDIR)/bin/tqmoc
TQMAKE_UIC		= $(TQTDIR)/bin/uic

TQMAKE_AR		= ar cqs
TQMAKE_RANLIB		=

TQMAKE_TAR		= tar -cf
TQMAKE_GZIP		= gzip -9f

TQMAKE_COPY		= cp -f
TQMAKE_MOVE		= mv -f
TQMAKE_DEL_FILE		= rm -f
TQMAKE_DEL_DIR		= rmdir
TQMAKE_CHK_DIR_EXISTS	= test -d
TQMAKE_MKDIR		= mkdir -p
